
From: Dominik Brodowski <linux@dominikbrodowski.net>

Add pcmcia_device_id table.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wireless/netwave_cs.c |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN drivers/net/wireless/netwave_cs.c~pcmcia-id_table-for-netwave_cs drivers/net/wireless/netwave_cs.c
--- 25/drivers/net/wireless/netwave_cs.c~pcmcia-id_table-for-netwave_cs	Sun Mar  6 17:28:12 2005
+++ 25-akpm/drivers/net/wireless/netwave_cs.c	Sun Mar  6 17:28:12 2005
@@ -1668,6 +1668,12 @@ static int netwave_close(struct net_devi
     return 0;
 }
 
+static struct pcmcia_device_id netwave_ids[] = {
+	PCMCIA_DEVICE_PROD_ID12("Xircom", "CreditCard Netwave", 0x2e3ee845, 0x54e28a28),
+	PCMCIA_DEVICE_NULL,
+};
+MODULE_DEVICE_TABLE(pcmcia, netwave_ids);
+
 static struct pcmcia_driver netwave_driver = {
 	.owner		= THIS_MODULE,
 	.drv		= {
@@ -1675,6 +1681,7 @@ static struct pcmcia_driver netwave_driv
 	},
 	.attach		= netwave_attach,
 	.detach		= netwave_detach,
+	.id_table       = netwave_ids,
 };
 
 static int __init init_netwave_cs(void)
_
